Subject: Re: RSVP capable node.

From: Gaitonde Anandprasanna <[email-masked]>
Date: Wed, 10 Jan 2001 19:56:45 +0530 (IST)

I am extermely sorry , if i looked arrogant in my mail. I had no
intentions of putting anyone down.
Yes u are right that i have not undetstood the question correctly.

 i dont know of any method by which we can know the RSVP capabilities
of any specific router. 
The comparision of TTL values as i said in my previos mail, can only give
us info as to whether there is any NonRSVP node on the path when u recive
RSVP message, but it doesn not give inforamtion as to which could be that
iuntermediate router which is NOn_RSVP.

I apologise for  answeriing the question in a hurry without reading the
question correctly.

I am sorry for being arrogant too if it looked that way.

Pras

On Wed, 10 Jan 2001, Frank Bauer wrote:

> > > Does anybody knows if it is possible for an RSVP capable 
> > node to know if the
> > > next/previous node is RSVP capable?
> > > I understand that a Receiver can look at the global break 
> > bit (bit 23 of
> > > word 1) in the ADSPEC (carried in the PATH message) and 
> > determine whether
> > > there is(are) nodes between the Sender and the Receiver that is(are)
> > > RSVP-unaware. But it does not specifically determine which one(s) of
> > > this(these) node(s) is(are) RSVP-unaware.
> > 
> > An RSVP-capable node can know if there is a non RSVP capable 
> > routetr in
> > between by comparing the IP TTL values of the RSVP message 
> > and TTL values
> > of RSVP. If there is a mismatch it means that there is non 
> > RSVP node in
> > between. 
> > 
> > This is given in RFC 2205 of RSVP . PLease go thru it.
> 
> "PLease go thru it" is a HIGHLY arrogant answer, especially as you have
> obviously not understood Kamel's question. He was asking if it is possible to
> determine the RSVP capabilities of a _specific_ router and not only of any
> router. The question is explained in his mail. Please go through it! That
> kind of answer not only makes you look arrogant but also extremely stupid!
> 
> BR, Frank
> 
> -- 
> Sent through GMX FreeMail - http://www.gmx.net
> 

                     _____________________________                  
                   _ |ANANDPRASANNA GAITONDE     | _ 
                  / )|COMP. SCIENCE & AUTOMATION |( \
                 / / |D-7,IISc HOSTEL            | \ \
                / /  |INDIAN INSTITUTE OF SCIENCE|  \ \
              _( (_  |BANGALORE-560012.          |  _) )_
              (((\ \>|_/->___________________<-_|</ /)))
              (\ _/ /LAB Ph.(080)3092906  \ _/ ////)
               \       /HOSTEL Ph.-            \       /  
                \    _/     (080)3092452        _    /     
                /   /-----------------------------\   \                  
               /  Email Id-                            \ 
              /      [email-masked]         \
	     ---------------------------------------------
            -----------------------------------------------

--------------------------------------------------------------------------------
		
*************************************************************************  
| | | | __ ___   _____     __ _    _ __ (_) ___ ___     __| | __ _ _   _
| |_| |/ _` \ \ / / _ \   / _` |  | '_ \| |/ __/ _ \   / _` |/ _` | | | |
|  _  | (_| |\ V /  __/  | (_| |  | | | | | (_|  __/  | (_| | (_| | |_| |
|_| |_|__,_| _/ ___|   __,_|  |_| |_|_|______|   __,_|__,_|__, |
*************************************************************************